/* $Id: aktie.c,v 2.1 1995/03/30 16:13:17 lupus Exp lupus $ */

#include <stdlib.h>
#include <string.h>

#include "xfinans.h"
#include "clist.h"
#include "str.h"
#include "allocmem.h"

#define AKTIETEST 0

extern char *postString[];

void navnAntalKurs(char *post, char *navn, int *antal, double *kurs) {
  char buf[256];
  char *talstr;
  int t=0;

  zeroAddStrncpy(buf,post,255);
  while(*(buf+t)!='\0' && *(buf+t)!=',')
    t++;

  *(buf+t)='\0';
  strcpy(navn, buf);

  t++;
  while(*(buf+t)==' ')
    t++;
  talstr=buf+t;
  while(*(buf+t)!=' ')
    t++;
  *(buf+t)='\0';
  *antal=atoi(talstr);
  t++;
  while(*(buf+t)!='\0')
    t++;
  while(*(buf+t)!=' ')
    t--;
  t++;
  *kurs=atof(nocomma(buf+t));
}

char **aktiePostStrings(CLIST *poster) {
  char buf[256], navn1[128], navn2[128];
  int i, j, k, antal, antal2;
  double saldo=0.0, kurs, kurs2;
  struct postering *p, *p1;
  int ny=1;
  double startval;

/*  sprintf(buf, "Dato    Navn                                  Kursvrdi     Kursgevinst");
  postString[0]=(char *)AllocateMemory(strlen(buf)+1);
  strcpy(postString[0], buf);
*/
  for(i=0, k=0; 
      i<poster->size && i<MAX_POSTERINGER-1;
      i++) {
    p=(struct postering *)retrieve(i+1,poster);
      sprintf(buf, "%d  %s", p->dato, p->tekst );
    for(j=strlen(p->tekst); j<POST_TEXT_LENGTH; j++)
	sprintf(buf+strlen(buf), " ");
    navnAntalKurs(p->tekst, navn1, &antal, &kurs);
    p1=(struct postering *)retrieve(i+2,poster);
    navnAntalKurs(p1->tekst, navn2, &antal2, &kurs2);

    if( ny ) {
      startval=antal*kurs;
      ny=0;
    }
    if( strcmp(navn1,navn2)!=0 ) { /* hvis forsk. */
      saldo+=antal*kurs;
      sprintf(buf+strlen(buf)-11, "%9.2f             %9.2f", antal*kurs, antal*kurs-startval);
      ny=1;
    }
    else  {
      sprintf(buf+strlen(buf), "%9.2f  %9.2f", antal*kurs, antal*kurs-startval);
    }
    postString[k]=(char *)AllocateMemory(strlen(buf)+1);
    strcpy(postString[k], buf);
    k++;
  }
  sprintf(buf, "Samlet aktuel kursvrdi: %9.2f", saldo);
  postString[k]=(char *)AllocateMemory(strlen(buf)+1);
  strcpy(postString[k], buf);
  return postString;
}

#if AKTIETEST
main() {
  int antal;
  double kurs;
  char navn[50];

  navnAntalKurs("Sparekasse, 3 stk kurs 230", navn, &antal, &kurs);
  printf("%s\n%d\n%9.2f", navn, antal, kurs);
}
#endif
