/* $Id: country.h,v 2.3 1995/04/01 10:59:25 lupus Exp $ */

#ifndef COUNTRY_H
#define COUNTRY_H

#define DANISH 1
#define ENGLISH 2

#define LANGUAGE ENGLISH
#define EXPERIMENTAL 0

#define PNAME "XFinans"

#if LANGUAGE==DANISH
#define SELECT 			"Vlg"
#define CREATE_ACCOUNT 		"Opret"
#define CLOSE_ACCOUNT 		"Slet"
#define TRANSFER 		"Overfr"
#define QUIT 			"Afslut"
#define NEW_POSTING 		"Ny"
#define EDIT_POSTING 		"Ret"
#define DELETE_POSTING 		"Slet"
#define COMMIT_POST_LABEL       "Commit"
#define FUNCTIONS 		"Menu"
#define PRINT 			"Udskriv"
#define HELP 			"Info"
#define ALL_POSTINGS 		"Vis alle poster"
#define SOME_POSTINGS 		"Skrmfuld"
#define SHOW_COMMIT_BAL         "Vis committed"

#define OUT_OF_MEMORY           "Slemt: Ikke mere hukommelse. Afslutter."

#define WARNING_TITLE 		"Fare!"
#define WARNING_TEXT_ACCOUNT	"Bekrft slet konto?"
#define WARNING_TEXT_POST 	"Bekrft slet post?"
#define CONFIRM_LABEL 		"Ok"
#define CANCEL_LABEL 		"Fortryd"

#define POSTING_TITLE 		"Postering"
#define DATE 			"Dato :"
#define DATE1 			"Dato"
#define PAGE 			"Side"
#define TODAY 			"Dags dato"
#define INCR 			"+"
#define DECR 			"-"
#define INCR_MONTH 		"+M"
#define DECR_MONTH 		"-M"
#define TEXT_LABEL 		"Tekst:"
#define AMOUNT_LABEL 		"Belb:"
#define CLEAR_ALL 		"Slet alt"
#define CLEAR_TEXT 		"Slet tekst"
#define DEPOSIT_WITHDRAW        "Indsat/Hvet"
#define BALANCE_LABEL           "Saldo"

#define TRANSFER_TITLE 		"Overfrsel"
#define TRANSFER_FROM_TEXT      "Ovf. fra"
#define TRANSFER_TO_TEXT        "Ovf. til"

#define PRINT_TITLE 		"Udskriv"
#define PRINT_FROM_LABEL 	"Udskriv fra dato:"
#define PRINTER_LABEL 		"Printer"
#define PRINTER_CONFIG_TITLE 	"Konfiguration"
#define DEFAULT_PRINTER_LABEL	"Printer:     type text"
#define POSTING_LIST            "Kontoudskrift"

#define PRINTER_TYPE_LABEL      "Printertype"
#define POSTSCRIPT_LABEL        "PostScript"
#define ASCII_TEXT_LABEL        "ASCII tekst"

#define INTEREST_TITLE		"Renteberegning"
#define FROM_DATE 		"Fra dato:"
#define TO_DATE 		"Til dato:"
#define INTEREST_RATE_POSITIVE 	"Rentefod, positiv saldo, %p.a.:"
#define INTEREST_RATE_NEGATIVE 	"Rentefod, negativ saldo, %p.a.:"
#define INTEREST_COMPUTE 	"Beregn"
#define INTEREST_ADD 		"Tilskriv"

#define CREATE_ACCOUNT_TITLE	"Opret konto"
#define FILE_NAME		"Filnavn:"
#define NAME 			"Navn:"
#define NUMBER 			"Konto nr:"
#define MUST_FILL_FIELDS        "Du skal frst udfylde input-felterne"

#define ERR_MAX_ACCOUNTS	"Der er allerede oprettet maksimalt antal konti."
#define ERR_CANT_CREATE 	"Kontofil kan ikke oprettes."
#define ERR_CANT_UPDATE 	"Konto-database kan ikke opdateres"
#define ERR_CANT_PLOT    	"Denne kontotype kan ikke plottes"
#define ERR_PLOT_DATE   	"Fra-dato skal ligge tidligere end til-dato"
#define ERR_CANT_WRITE_PLOT 	"Kan ikke skrive til plot-fil"
#define ERR_NO_PLOT_DATA 	"Ingen data at plotte (konto ikke valgt eller tom)"
#define ERR_NO_GNUPLOT  	"Kan ikke starte Gnuplot"
#define ERR_FILE_NOT_FOUND 	"Fil ikke fundet"
#define ERR_CANT_WRITE_FILE 	"Fil kan ikke skrives/oprettes"
#define ERR_BAD_DATE     	"Forkert dato"
#define ERR_NO_HEADER   	"Kan ikke finde PostScript-headerfil"
#define ERR_NO_WORD   		"Skriv et ord i feltet \"Sgeudtryk\""
#define ERR_DO_CLICK  		"Der skal frst klikkes p en konto"
#define ERR_DO_SELECT 		"Der skal frst vlges en konto"
#define ERR_DO_TWO_CLICK 	"Der skal klikkes p to forskellige konti frst"
#define ERR_DO_CLICK_POSTING 	"Der skal frst vlges en postering"
#define ERR_CANT_INTEREST 	"Der kan ikke beregnes rente p denne kontotype"
#define ERR_SHOULDNT_HAPPEN 	"Valg af postering er forsvundet! Mystisk programfejl."
#define ERR_CANT_PRINT		"Denne kontotype kan ikke udskrives"
#define ERR_DO_SUPPLY_DATE      "Der skal frst skrives datoer i begge dato-felter"
#define ERR_WRONG_SEQUENCE      "Fra-dato skal ligge tidligere end til-dato"
#define ERROR_TITLE 		"Hmm . . ."
#define ERROR_OK_LABEL 		"N da..."
#define ERROR_HELP_LABEL 	"Hjlp"

#define WARN_MAX_TRANSACTIONS   "NB! >= max posteringer. Du kan dog fortstte."

#define TRANSFER_FROM           "Overfr fra"
#define TRANSFER_TO             "til"

#define CLOSE                   "Luk"
#define NEXT                    "Nste"
#define BACK                    "Tilbage"
#define CONTENTS                "Indhold"
#define FUNCTIONS_TITLE         "xfinans sgning"
#define SEARCH_LABEL            "Sg"
#define SEARCH_EXPR             "Sgeudtryk:"

#define LIST_BALANCES           "Vis saldo-liste"
#define PLOT_LABEL              "Plot"
#define INTEREST_LABEL          "Rente"

#define BALANCE_TITLE           "xfinans saldo-liste"
#define PLOT_TITLE              "xfinans plot"
#define PLOT_LABEL              "Plot"
#define RESET                   "Forfra"
#define HELP_TITLE              "xfinans info"
#define DAYS                    "dage"

#endif  /* DANISH */


#if LANGUAGE==ENGLISH
#define SELECT			"Open"
#define CREATE_ACCOUNT 		"Create"
#define CLOSE_ACCOUNT 		"Delete"
#define TRANSFER	 	"Transfer"
#define QUIT 			"Quit"
#define NEW_POSTING 		"New"
#define EDIT_POSTING 		"Edit"
#define DELETE_POSTING 		"Delete"
#define COMMIT_POST_LABEL       "Commit"
#define FUNCTIONS 		"Misc"
#define PRINT 			"Print"
#define HELP 			"Help"
#define ALL_POSTINGS 		"Show all trans."
#define SOME_POSTINGS 		"Most recent tr. only"
#define SHOW_COMMIT_BAL         "Show committed"

#define OUT_OF_MEMORY           "Fatal: Out of memory. Terminating."

#define WARNING_TITLE 		"Attention!"
#define WARNING_TEXT_ACCOUNT	"Ok to delete account?"
#define WARNING_TEXT_POST 	"Ok to delete transaction?"
#define CONFIRM_LABEL 		"Ok"
#define CANCEL_LABEL 		"Cancel"

#define POSTING_TITLE 		"Transaction"
#define DATE 			"Date :"
#define DATE1 			"Date"
#define PAGE 			"Page"
#define TODAY 			"Today"
#define INCR 			"+"
#define DECR 			"-"
#define INCR_MONTH 		"+M"
#define DECR_MONTH 		"-M"
#define TEXT_LABEL 		"Text :"
#define AMOUNT_LABEL 		"Amount:"
#define CLEAR_ALL 		"Clear all"
#define CLEAR_TEXT 		"Clear text"
#define DEPOSIT_WITHDRAW        "Amount (+/-)"
#define BALANCE_LABEL           "Balance"

#define TRANSFER_TITLE 		"Transfer"
#define TRANSFER_FROM_TEXT      "Transf. from"
#define TRANSFER_TO_TEXT        "Transf. to"


#define PRINT_TITLE 		"Print"
#define PRINT_FROM_LABEL 	"Print from date:"
#define PRINTER_LABEL 		"Printer"
#define PRINTER_CONFIG_TITLE 	"Configuration"
#define DEFAULT_PRINTER_LABEL 	"Printer:     type text"
#define POSTING_LIST            "Listing"

#define PRINTER_TYPE_LABEL      "Printer type"
#define POSTSCRIPT_LABEL        "PostScript"
#define ASCII_TEXT_LABEL        "ASCII text"

#define INTEREST_TITLE 		"Interest"
#define FROM_DATE 		"From date:"
#define TO_DATE 		"To date  :"
#define INTEREST_RATE_POSITIVE 	"Interest rate, balance>0, %p.a.:"
#define INTEREST_RATE_NEGATIVE 	"Interest rate, balance<0, %p.a.:"
#define INTEREST_COMPUTE 	"Calculate"
#define INTEREST_ADD 		"Add interest"

#define CREATE_ACCOUNT_TITLE 	"Create account"
#define FILE_NAME 		"File name:"
#define NAME 			"Name:"
#define NUMBER 			"Account no.:"
#define MUST_FILL_FIELDS        "Fill in the input fields, then confirm"

#define ERR_MAX_ACCOUNTS 	"Cannot create any more accounts (internal limit)"
#define ERR_CANT_CREATE  	"Cannot create data base file"
#define ERR_CANT_UPDATE  	"Cannot write to data base file"
#define ERR_CANT_PLOT    	"Cannot plot this account"
#define ERR_PLOT_DATE    	"From-date must precede to-date"
#define ERR_NO_PLOT_DATA 	"No data to plot (no account opened or empty)"
#define ERR_NO_GNUPLOT   	"Cannot run Gnuplot"
#define ERR_FILE_NOT_FOUND 	"File not found"
#define ERR_CANT_WRITE_FILE 	"Cannot create / write to file"
#define ERR_BAD_DATE     	"Bad date"
#define ERR_NO_HEADER    	"Cannot find PostScript header-file"
#define ERR_NO_WORD   		"Write a word in the search-field first"
#define ERR_DO_CLICK  		"You must first click on an account in the list"
#define ERR_DO_SELECT 		"You must first open an account"
#define ERR_DO_TWO_CLICK 	"You must first click on two different accounts"
#define ERR_DO_CLICK_POSTING 	"You must first click on a transaction"
#define ERR_CANT_INTEREST 	"Cannot compute interest for this account"
#define ERR_SHOULDNT_HAPPEN 	"Selection disappeared! Strange error -shouldn't happen"
#define ERR_CANT_PRINT 		"Cannot print this account"
#define ERR_DO_SUPPLY_DATE      "You must supply dates in the two date-fields"
#define ERR_WRONG_SEQUENCE      "First date must precede second date (format YYMMDD)"
#define ERROR_TITLE 		"Well, ehh . . ."
#define ERROR_OK_LABEL 		"All right..."
#define ERROR_HELP_LABEL 	"Help"

#define WARN_MAX_TRANSACTIONS   ">= max transactions. Not a big problem, only \"show all trans.\" will not work hereafter"

#define TRANSFER_FROM           "Transfer from"
#define TRANSFER_TO             "to"

#define CLOSE                   "Close"
#define NEXT                    "Next"
#define BACK                    "Back"
#define CONTENTS                "Home"
#define FUNCTIONS_TITLE         "search window"
#define SEARCH_LABEL            "Search"
#define SEARCH_EXPR             "Search for:"

#define LIST_BALANCES           "List balances"
#define PLOT_LABEL              "Plot"
#define INTEREST_LABEL          "Interest"

#define BALANCE_TITLE           "current balances"
#define PLOT_TITLE              "plot control"
#define PLOT_LABEL              "Plot"
#define RESET                   "Reset"
#define HELP_TITLE              "help"
#define DAYS                    "days"

#endif /* ENGLISH */

#endif /* COUNTRY_H */
