/* $Id: post.h,v 2.1 1995/03/30 16:13:17 lupus Exp lupus $ */

#ifndef POST_H
#define POST_H

#include <stdio.h>
#include "clist.h"
#include "psOutput.h"

#define DATO_X 1.1
#define PAGE_X 1.1
#define PAGE_Y (TOP_MARGIN-1.6)
#define TEXT_X 3.1
#define BEL_X 15.0
#define SALDO_X 17.8
#define DEFAULT_ANTAL_VISES 11  /* saa mange posteringer vises 
				  0 = specielt, betyder ALLE */

void initPost(void);
void testPost(void);
void clearPoster(void);
void loadPoster(char *fname);
void okSletPost(int indx);
char **postStrings(void);
static void freePostStrings(void);
int okNyPost(int comm, char *dato, char *text, char *bel);
void okRetPost(int relIndx, char *nydato, char *nytext, char *nybel);
void getPostAsText(int indx, char *dato, char *text, char *bel);
void header(FILE *f, int pageNum);
void udskriv(long fra_dato);
double okRente(long d1, long d2, double f1, double f2);
void defaultLimitPosts(void);
void noLimitPosts(void);
char **searchStrings(char *res[], int maxlines, char *word);
int switchPS(void);
void calculateCurrentSaldo(void);
int writePlotData(long fra,long til,FILE *d);
int invertShowCommitted();
void doCommit(int relIndx);
void opdaterPostList(void);

#endif
